%bcond_without check

%global goipath         github.com/mitchellh/go-wordwrap
Version:                1.0.1

%gometa

%global common_description %{expand:
Go-wordwrap is a package for Go that automatically wraps words into multiple
lines. The primary use case for this is in formatting CLI output, but of course
word wrapping is a generally useful thing to do.}

%global golicenses      LICENSE.md
%global godocs          README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go library for wrapping words in a string

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
